salesforce.cdp.hyperdb.v1

## Class SqlType.NumericModifier.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>
      - - salesforce.cdp.hyperdb.v1.SqlType.NumericModifier.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, SqlType.NumericModifierOrBuilder

Enclosing class:
  SqlType.NumericModifier

    public static final class SqlType.NumericModifier.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>
    implements SqlType.NumericModifierOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.SqlType.NumericModifier`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SqlType.NumericModifier.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`SqlType.NumericModifier` `build()`
`SqlType.NumericModifier` `buildPartial()`
`SqlType.NumericModifier.Builder` `clear()`
`SqlType.NumericModifier.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`SqlType.NumericModifier.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`SqlType.NumericModifier.Builder` `clearPrecision()` `uint32 precision = 1;`
`SqlType.NumericModifier.Builder` `clearScale()` `uint32 scale = 2;`
`SqlType.NumericModifier.Builder` `clone()`
`SqlType.NumericModifier` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getPrecision()` `uint32 precision = 1;`
`int` `getScale()` `uint32 scale = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`SqlType.NumericModifier.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`SqlType.NumericModifier.Builder` `mergeFrom(com.google.protobuf.Message other)`
`SqlType.NumericModifier.Builder` `mergeFrom(SqlType.NumericModifier other)`
`SqlType.NumericModifier.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`SqlType.NumericModifier.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`SqlType.NumericModifier.Builder` `setPrecision(int value)` `uint32 precision = 1;`
`SqlType.NumericModifier.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`SqlType.NumericModifier.Builder` `setScale(int value)` `uint32 scale = 2;`
`SqlType.NumericModifier.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### clear

    public SqlType.NumericModifier.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### getDefaultInstanceForType

    public SqlType.NumericModifier getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public SqlType.NumericModifier build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public SqlType.NumericModifier buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public SqlType.NumericModifier.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### setField

    public SqlType.NumericModifier.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                    Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### clearField

    public SqlType.NumericModifier.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### clearOneof

    public SqlType.NumericModifier.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### setRepeatedField

    public SqlType.NumericModifier.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            int index,
                                                            Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### addRepeatedField

    public SqlType.NumericModifier.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### mergeFrom

    public SqlType.NumericModifier.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<SqlType.NumericModifier.Builder>`

#### mergeFrom

    public SqlType.NumericModifier.Builder mergeFrom(SqlType.NumericModifier other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### mergeFrom

    public SqlType.NumericModifier.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<SqlType.NumericModifier.Builder>`
Throws:
  `IOException`

#### getPrecision

    public int getPrecision()

`uint32 precision = 1;`

Specified by:
  `getPrecision` in interface `SqlType.NumericModifierOrBuilder`
Returns:
  The precision.

#### setPrecision

    public SqlType.NumericModifier.Builder setPrecision(int value)

`uint32 precision = 1;`

Parameters:
  `value` - The precision to set.
Returns:
  This builder for chaining.

#### clearPrecision

    public SqlType.NumericModifier.Builder clearPrecision()

`uint32 precision = 1;`

Returns:
  This builder for chaining.

#### getScale

    public int getScale()

`uint32 scale = 2;`

Specified by:
  `getScale` in interface `SqlType.NumericModifierOrBuilder`
Returns:
  The scale.

#### setScale

    public SqlType.NumericModifier.Builder setScale(int value)

`uint32 scale = 2;`

Parameters:
  `value` - The scale to set.
Returns:
  This builder for chaining.

#### clearScale

    public SqlType.NumericModifier.Builder clearScale()

`uint32 scale = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final SqlType.NumericModifier.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`

#### mergeUnknownFields

    public final SqlType.NumericModifier.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.NumericModifier.Builder>`